FlexNet Code Aware: Capabilities

Automated Open Source Risk Assessment and Package Discovery Solution

Capabilities

FlexNet Code Aware is an automated Risk Assessment and Package Discovery solution. Given the nature of the analysis it performs, there may be cases of false positive and/or false negative results.

This release supports analysis of the following files:

  • Java Packages
  • Node Packages
  • NuGet Packages
  • PHP Packages
  • RPM Packages
  • Ruby Packages
  • EXE & DLL Files

Security vulnerabilities are looked up against the National Vulnerability Database (NVD).

FlexNet Code Aware is an add-on to InstallShield 2016 SP2 or higher, or InstallAnywhere 2017 or higher. It also works with any vendor’s installation solution. System requirements are identical to those for InstallShield or InstallAnywhere.

JRE8 is required for the FlexNet Code Aware scan.

DATA DISCLAIMER

As part of this report, Flexera Software provides information to help customers make decisions regarding interpreting and responding to the terms of various open source licenses. This information is not equivalent to legal advice. While Flexera Software seeks to provide information that is accurate and useful, we recommend you consult a lawyer for legal advice.

INFORMATION IS PROVIDED ON AN AS IS BASIS AND FLEXERA SOFTWARE MAKES NO WARRANTIES, EXPRESS OR IMPLIED, WITH RESPECT TO SUCH INFORMATION.

Back to FlexNet Code Aware